<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 07/10/2004 *
 * ===============                              Last change: 07/10/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_register.php                         *
 * -------------------------------------------------------------------- *
 * Short description : Setup for the registration form                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einstellungen fuer das Anmeldeformular           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

// Do we want to save changes?
if (IS_FORM_SENT()) {
	foreach (REQUEST_POST('sel') as $id => $value) {
		SQL_QUERY_ESC("UPDATE `{!_MYSQL_PREFIX!}_must_register` SET field_required='%s' WHERE id=%s AND field_required != '%s' LIMIT 1",
			array($value, bigintval($id), $value),__FILE__, __LINE__);
	}
	LOAD_TEMPLATE('admin_settings_saved', false, getMessage('REGISTER_ADMIN_CHANGES_SAVED'));
}

// List all register values
$result = SQL_QUERY("SELECT id, field_name, field_required FROM `{!_MYSQL_PREFIX!}_must_register` ORDER BY `id`", __FILE__, __LINE__);
$OUT = ''; $SW = 2;
while ($content = SQL_FETCHARRAY($result)) {
	// Get language string
	$content['field_name'] =  getMessage(strtoupper($content['field_name']));

	// Add more data
	$content['sw']        = $SW;
	$content['seleciton'] = ADD_SELECTION("yn", $content['field_required'], "sel[".$content['id']."]");

	// @TODO Move this HTML code into a template
	$OUT .= "<tr>
  <td align=\"center\" class=\"switch_sw".$content['sw']." bottom2 right2\">".$content['id']."</td>
  <td class=\"switch_sw".$content['sw']." bottom2 right2\">&nbsp;&nbsp;".$content['field_name']."</td>
  <td align=\"center\" class=\"switch_sw".$content['sw']." bottom2 right2\">
    ".$content['selection']."
  </td>
</tr>\n";

	// Switch color
	$SW = 3 - $SW;
}

// Free memory
SQL_FREERESULT($result);

// Remember rows in constant
// @TODO Rewrite this constant
define('__REGISTER_ROWS', $OUT);

// Load template
LOAD_TEMPLATE("admin_config_register");

//
?>
