<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/29/2004 *
 * ================                             Last change: 04/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-support.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Contact support                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Support kontaktieren                             *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}  elseif (!IS_MEMBER()){
	LOAD_URL('modules.php?module=index');
} elseif ((!EXT_IS_ACTIVE('support')) && (!IS_ADMIN())) {
	addFatalMessage(__FILE__, __LINE__, getMessage('EXTENSION_PROBLEM_EXT_INACTIVE'), 'support');
	return;
}

// Add description as navigation point
ADD_DESCR('member', __FILE__);

if ((!IS_FORM_SENT()) || (!REQUEST_ISSET_POST(('qsummary')))) {
	// Output form
	LOAD_TEMPLATE("member_support_form");
} else {
	// Load mail template based on your member's decision
	if (GET_EXT_VERSION('admins') >= '0.4.1') {
		$a_tpl = "admin_support-".REQUEST_POST('qsummary');
	} else {
		$msg_a = LOAD_EMAIL_TEMPLATE("admin_support-".REQUEST_POST('qsummary'), array('text' => REQUEST_POST('qdetails')), getUserId());
	}
	$msg_m = LOAD_EMAIL_TEMPLATE("member_support-".REQUEST_POST('qsummary'), array('text' => REQUEST_POST('qdetails')), getUserId());

	// Select right subject
	switch (REQUEST_POST('qsummary')) {
		case "ordr":
			$subj_a = getMessage('SUPPORT_SUBJ_ADMIN_ORDER');
			$subj_m = getMessage('SUPPORT_SUBJ_MEMBER_ORDER');
			break;

		case "reflink":
			$subj_a = getMessage('SUPPORT_SUBJ_ADMIN_REFLINK');
			$subj_m = getMessage('SUPPORT_SUBJ_MEMBER_REFLINK');
			break;

		case "unconfirmed":
			$subj_a = getMessage('SUPPORT_SUBJ_ADMIN_UNCONFIRMED');
			$subj_m = getMessage('SUPPORT_SUBJ_MEMBER_UNCONFIRMED');
			break;
	} // END - switch

	// Send mail to admin
	SEND_ADMIN_NOTIFICATION($subj_a, $a_tpl, array('text' => REQUEST_POST('qdetails')), getUserId());

	// Send mail to user
	SEND_EMAIL(getUserId(), $subj_m, $msg_m);

	// Drop a message in the admin's area
	SQL_QUERY_ESC("INSERT INTO `{!_MYSQL_PREFIX!}_task_system` (userid, assigned_admin, status, task_type, subject, text, task_created) VALUES ('%s','0','NEW','SUPPORT_MEMBER','%s','%s', UNIX_TIMESTAMP())",
		array(getUserId(), $subj_a, REQUEST_POST('qsummary').":".array('text' => REQUEST_POST('qdetails'))), __FILE__, __LINE__);

	// Form sent
	LOAD_TEMPLATE("member_support_contcted");
}
//
?>
