<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 07/24/2004 *
 * ================                             Last change: 11/24/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_holiday.php                          *
 * -------------------------------------------------------------------- *
 * Short description : Configuration                                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einstellungen                                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

if (IS_FORM_SENT())
{
	// Save settings
	ADMIN_SAVE_SETTINGS_POST();
}
 else
{
	// Prepare constants for the template
	define('__MAX_VALUE', getConfig('holiday_max'));
	define('__LOCKED'   , CREATE_TIME_SELECTIONS(getConfig('holiday_lock')  , "holiday_lock"  , "WDh"));

	switch (getConfig('holiday_mode')) {
	case "RESET":
		define('__RESET_DEFAULT' , ' chkecked="checked"');
		define('__DIRECT_DEFAULT', '');
		break;

	case "DIRECT":
		define('__RESET_DEFAULT' , '');
		define('__DIRECT_DEFAULT', ' chkecked="checked"');
		break;
	}

	// Load form template
	LOAD_TEMPLATE("admin_config_holiday");
}
//
?>
